LibreOffice LibreOffice 25.8 SDK API Reference

Variables
com::sun::star::i18n::TextConversionOption Constant Group Referencepublished

Text conversion options to be used with XTextConversion. More...

## Variables
const long | NONE = 0
| No option. More...
const long | CHARACTER_BY_CHARACTER = 1
| Character by character conversion. More...
const long | IGNORE_POST_POSITIONAL_WORD = 2
| Ignore post-positional word for Hangul to Hanja conversion. More...
const long | USE_CHARACTER_VARIANTS = 2
| Use Taiwan, HongKong SAR, and Macao SAR character variants for Simplified to Traditional Chinese conversion. More...

## Detailed Description

Text conversion options to be used with XTextConversion.

These text conversion options are usually selected by end users. The options can be combined and may be related to TextConversionType.

Since
  OOo 1.1.2

## Variable Documentation

## ◆ CHARACTER_BY_CHARACTER

const long CHARACTER_BY_CHARACTER = 1

Character by character conversion.

## ◆ IGNORE_POST_POSITIONAL_WORD

const long IGNORE_POST_POSITIONAL_WORD = 2

Ignore post-positional word for Hangul to Hanja conversion.

## ◆ NONE

const long NONE = 0

No option.

## ◆ USE_CHARACTER_VARIANTS

const long USE_CHARACTER_VARIANTS = 2

Use Taiwan, HongKong SAR, and Macao SAR character variants for Simplified to Traditional Chinese conversion.

Since
  OOo 2.0